export enum UrlScheme {
  HTTP = 'http',
  HTTPS = 'https',
  FILE = 'file',
}

type GetUrlScheme = (url: string) => UrlScheme

const getUrlScheme: GetUrlScheme = url => {
  if (url.startsWith('http://')) {
    return UrlScheme.HTTP
  }
  if (url.startsWith('https://')) {
    return UrlScheme.HTTPS
  }
  return UrlScheme.FILE
}

export default getUrlScheme
